

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.Gtk
    (     module GI.Gtk.Callbacks                 ,
    module GI.Gtk.Constants                 ,
    module GI.Gtk.Enums                     ,
    module GI.Gtk.Flags                     ,
    module GI.Gtk.Functions                 ,
    module GI.Gtk.Interfaces                ,
    module GI.Gtk.Objects                   ,
    module GI.Gtk.Structs                   ,



    module Data.GI.Base                     ,


    ) where

import GI.Gtk.Callbacks
import GI.Gtk.Constants
import GI.Gtk.Enums
import GI.Gtk.Flags
import GI.Gtk.Functions
import GI.Gtk.Interfaces
import GI.Gtk.Objects
import GI.Gtk.Structs

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL


import Data.GI.Base

