#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Interfaces.FileChooser where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype FileChooser = FileChooser (ManagedPtr FileChooser)
#if ENABLE_OVERLOADING
data FileChooserConfirmOverwriteSignalInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserCurrentFolderChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserFileActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectionChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUpdatePreviewSignalInfo
#endif
instance GObject FileChooser where
class (GObject o, O.IsDescendantOf FileChooser o) => IsFileChooser o
instance (GObject o, O.IsDescendantOf FileChooser o) => IsFileChooser o
instance O.HasParentTypes FileChooser
#if ENABLE_OVERLOADING
data FileChooserActionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserCreateFoldersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserDoOverwriteConfirmationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserExtraWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserFilterPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserLocalOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserPreviewWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserPreviewWidgetActivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectMultiplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserShowHiddenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUsePreviewLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserAddChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserAddFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserAddShortcutFolderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserAddShortcutFolderUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetCreateFoldersMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetCurrentFolderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetCurrentFolderFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetCurrentFolderUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetCurrentNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetDoOverwriteConfirmationMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetExtraWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetFilenamesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetFilesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetPreviewFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetPreviewFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetPreviewUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetPreviewWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetPreviewWidgetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetSelectMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetShowHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserGetUsePreviewLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserListFiltersMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserListShortcutFolderUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserListShortcutFoldersMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserRemoveChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserRemoveFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserRemoveShortcutFolderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserRemoveShortcutFolderUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSelectUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetChoiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetCreateFoldersMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetCurrentFolderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetCurrentFolderFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetCurrentFolderUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetCurrentNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetDoOverwriteConfirmationMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetExtraWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetPreviewWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetPreviewWidgetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetSelectMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetShowHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserSetUsePreviewLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUnselectFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUnselectFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileChooserUnselectUriMethodInfo
#endif
