#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Action where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Action = Action (ManagedPtr Action)
instance GObject Action where
class (GObject o, O.IsDescendantOf Action o) => IsAction o
instance (GObject o, O.IsDescendantOf Action o) => IsAction o
instance O.HasParentTypes Action
#if ENABLE_OVERLOADING
data ActionActionGroupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionAlwaysShowImagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionGiconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionHideIfEmptyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionIsImportantPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionSensitivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionShortLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionStockIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionTooltipPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionVisibleHorizontalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionVisibleOverflownPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionVisibleVerticalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data ActionActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionBlockActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionConnectAcceleratorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionCreateIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionCreateMenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionCreateMenuItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionCreateToolItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionDisconnectAcceleratorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetAccelClosureMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetAccelPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetAlwaysShowImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetIsImportantMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetProxiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetShortLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetStockIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetVisibleHorizontalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetVisibleVerticalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionIsSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionIsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetAccelPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetAlwaysShowImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetIsImportantMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetShortLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetStockIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetVisibleHorizontalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionSetVisibleVerticalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionUnblockActivateMethodInfo
#endif
