#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Calendar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Calendar = Calendar (ManagedPtr Calendar)
instance GObject Calendar where
class (GObject o, O.IsDescendantOf Calendar o) => IsCalendar o
instance (GObject o, O.IsDescendantOf Calendar o) => IsCalendar o
instance O.HasParentTypes Calendar
#if ENABLE_OVERLOADING
data CalendarDayPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarDetailHeightRowsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarDetailWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarMonthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarNoMonthChangePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarShowDayNamesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarShowDetailsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarShowHeadingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarShowWeekNumbersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarYearPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CalendarDaySelectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarDaySelectedDoubleClickSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarMonthChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarNextMonthSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarNextYearSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarPrevMonthSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarPrevYearSignalInfo
#endif
#if ENABLE_OVERLOADING
data CalendarClearMarksMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarGetDateMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarGetDayIsMarkedMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarGetDetailHeightRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarGetDetailWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarGetDisplayOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarMarkDayMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSelectDayMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSelectMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSetDetailFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSetDetailHeightRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSetDetailWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarSetDisplayOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CalendarUnmarkDayMethodInfo
#endif
