#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.CellArea where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CellArea = CellArea (ManagedPtr CellArea)
instance GObject CellArea where
class (GObject o, O.IsDescendantOf CellArea o) => IsCellArea o
instance (GObject o, O.IsDescendantOf CellArea o) => IsCellArea o
instance O.HasParentTypes CellArea
#if ENABLE_OVERLOADING
data CellAreaEditWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaEditedCellPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaFocusCellPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAddEditableSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaApplyAttributesSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaFocusChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaRemoveEditableSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaActivateCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAddMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAddFocusSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaApplyAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAttributeConnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAttributeDisconnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaAttributeGetColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaCellGetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaCellSetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaCopyContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaCreateContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaForeachAllocMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetCellAllocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetCellAtPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetCurrentPathStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetEditWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetEditedCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetFocusCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetFocusFromSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetFocusSiblingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetPreferredHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetPreferredHeightForWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetPreferredWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetPreferredWidthForHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaGetRequestModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaHasRendererMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaInnerCellAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaIsActivatableMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaIsFocusSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaRemoveFocusSiblingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaRenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaRequestRendererMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaSetFocusCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaStopEditingMethodInfo
#endif
