#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.CellAreaContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CellAreaContext = CellAreaContext (ManagedPtr CellAreaContext)
instance GObject CellAreaContext where
class (GObject o, O.IsDescendantOf CellAreaContext o) => IsCellAreaContext o
instance (GObject o, O.IsDescendantOf CellAreaContext o) => IsCellAreaContext o
instance O.HasParentTypes CellAreaContext
#if ENABLE_OVERLOADING
data CellAreaContextAreaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextMinimumHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextMinimumWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextNaturalHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextNaturalWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextAllocateMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetAllocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetPreferredHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetPreferredHeightForWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetPreferredWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextGetPreferredWidthForHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextPushPreferredHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextPushPreferredWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellAreaContextResetMethodInfo
#endif
