#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.CellRenderer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CellRenderer = CellRenderer (ManagedPtr CellRenderer)
instance GObject CellRenderer where
class (GObject o, O.IsDescendantOf CellRenderer o) => IsCellRenderer o
instance (GObject o, O.IsDescendantOf CellRenderer o) => IsCellRenderer o
instance O.HasParentTypes CellRenderer
#if ENABLE_OVERLOADING
data CellRendererCellBackgroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererCellBackgroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererCellBackgroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererCellBackgroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererEditingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererIsExpandedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererIsExpanderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSensitivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererXalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererXpadPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererYalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererYpadPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererEditingCanceledSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererEditingStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetAlignedAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetFixedSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPreferredHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPreferredHeightForWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPreferredSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPreferredWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetPreferredWidthForHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetRequestModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererGetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererIsActivatableMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererRenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSetFixedSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSetPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererSetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererStartEditingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererStopEditingMethodInfo
#endif
