#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ComboBox where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ComboBox = ComboBox (ManagedPtr ComboBox)
instance GObject ComboBox where
class (GObject o, O.IsDescendantOf ComboBox o) => IsComboBox o
instance (GObject o, O.IsDescendantOf ComboBox o) => IsComboBox o
instance O.HasParentTypes ComboBox
#if ENABLE_OVERLOADING
data ComboBoxActivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxActiveIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxAddTearoffsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxButtonSensitivityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxCellAreaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxColumnSpanColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxEntryTextColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxHasEntryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxHasFramePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxIdColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxModelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopupFixedWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopupShownPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxRowSpanColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxTearoffTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxWrapWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxFormatEntryTextSignalInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxMoveActiveSignalInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopdownSignalInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopupSignalInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetActiveIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetActiveIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetAddTearoffsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetButtonSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetColumnSpanColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetEntryTextColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetHasEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetIdColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetPopupAccessibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetPopupFixedWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetRowSpanColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxGetWrapWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopdownMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxPopupForDeviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetActiveIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetActiveIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetAddTearoffsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetButtonSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetColumnSpanColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetEntryTextColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetIdColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetPopupFixedWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetRowSeparatorFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetRowSpanColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ComboBoxSetWrapWidthMethodInfo
#endif
