#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Entry where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Entry = Entry (ManagedPtr Entry)
instance GObject Entry where
class (GObject o, O.IsDescendantOf Entry o) => IsEntry o
instance (GObject o, O.IsDescendantOf Entry o) => IsEntry o
instance O.HasParentTypes Entry
#if ENABLE_OVERLOADING
data EntryActivatesDefaultPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryAttributesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryBufferPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCapsLockWarningPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCursorPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryEnableEmojiCompletionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryHasFramePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryImModulePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryInnerBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryInputHintsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryInputPurposePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryInvisibleCharPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryInvisibleCharSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryMaxLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryMaxWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryOverwriteModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPlaceholderTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPopulateAllPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconActivatablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconGiconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconPixbufPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconSensitivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconStockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconStorageTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconTooltipMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryPrimaryIconTooltipTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryProgressFractionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryProgressPulseStepPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryScrollOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconActivatablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconGiconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconPixbufPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconSensitivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconStockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconStorageTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconTooltipMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySecondaryIconTooltipTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntrySelectionBoundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryShadowTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryShowEmojiIconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryTabsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryTextLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryTruncateMultilinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryVisibilityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryXalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryBackspaceSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCopyClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCutClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryDeleteFromCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryIconPressSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryIconReleaseSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryInsertAtCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryInsertEmojiSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryPasteClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryPopulatePopupSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryPreeditChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryToggleOverwriteSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetActivatesDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetCurrentIconDragSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetCursorHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetHasFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconActivatableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconStorageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetIconTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetInnerBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetInputHintsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetInputPurposeMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetInvisibleCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetLayoutOffsetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetMaxLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetMaxWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetOverwriteModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetPlaceholderTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetProgressFractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetProgressPulseStepMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetTextAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetTextLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetVisibilityMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGetWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryGrabFocusWithoutSelectingMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryImContextFilterKeypressMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryLayoutIndexToTextIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryProgressPulseMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryResetImContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetActivatesDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetCursorHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetHasFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconActivatableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconDragSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconFromGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconFromIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconFromPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconFromStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetIconTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetInnerBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetInputHintsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetInputPurposeMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetInvisibleCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetMaxLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetMaxWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetOverwriteModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetPlaceholderTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetProgressFractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetProgressPulseStepMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetVisibilityMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntrySetWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryTextIndexToLayoutIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryUnsetInvisibleCharMethodInfo
#endif
