#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.EntryCompletion where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype EntryCompletion = EntryCompletion (ManagedPtr EntryCompletion)
instance GObject EntryCompletion where
class (GObject o, O.IsDescendantOf EntryCompletion o) => IsEntryCompletion o
instance (GObject o, O.IsDescendantOf EntryCompletion o) => IsEntryCompletion o
instance O.HasParentTypes EntryCompletion
#if ENABLE_OVERLOADING
data EntryCompletionCellAreaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInlineCompletionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInlineSelectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionMinimumKeyLengthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionModelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionPopupCompletionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionPopupSetWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionPopupSingleMatchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionTextColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionActionActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionCursorOnMatchSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInsertPrefixSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionMatchSelectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionNoMatchesSignalInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionCompleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionComputePrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionDeleteActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetCompletionPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetInlineCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetInlineSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetMinimumKeyLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetPopupCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetPopupSetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetPopupSingleMatchMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionGetTextColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInsertActionMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInsertActionTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionInsertPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetInlineCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetInlineSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetMatchFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetMinimumKeyLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetPopupCompletionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetPopupSetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetPopupSingleMatchMethodInfo
#endif
#if ENABLE_OVERLOADING
data EntryCompletionSetTextColumnMethodInfo
#endif
