#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Grid where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Grid = Grid (ManagedPtr Grid)
instance GObject Grid where
class (GObject o, O.IsDescendantOf Grid o) => IsGrid o
instance (GObject o, O.IsDescendantOf Grid o) => IsGrid o
instance O.HasParentTypes Grid
#if ENABLE_OVERLOADING
data GridBaselineRowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GridColumnHomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GridColumnSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GridRowHomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GridRowSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GridAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridAttachNextToMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetBaselineRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetChildAtMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetColumnHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetRowBaselinePositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetRowHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridGetRowSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridInsertColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridInsertNextToMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridInsertRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridRemoveColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridRemoveRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetBaselineRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetColumnHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetRowBaselinePositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetRowHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data GridSetRowSpacingMethodInfo
#endif
