#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.IconInfo where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IconInfo = IconInfo (ManagedPtr IconInfo)
instance GObject IconInfo where
class (GObject o, O.IsDescendantOf IconInfo o) => IsIconInfo o
instance (GObject o, O.IsDescendantOf IconInfo o) => IsIconInfo o
instance O.HasParentTypes IconInfo
#if ENABLE_OVERLOADING
data IconInfoGetAttachPointsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetBaseScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetBaseSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetBuiltinPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetEmbeddedRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoGetFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoIsSymbolicMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadIconAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadIconFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSurfaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicForContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicForContextAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicForContextFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoLoadSymbolicForStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconInfoSetRawCoordinatesMethodInfo
#endif
