#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.IconTheme where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IconTheme = IconTheme (ManagedPtr IconTheme)
instance GObject IconTheme where
class (GObject o, O.IsDescendantOf IconTheme o) => IsIconTheme o
instance (GObject o, O.IsDescendantOf IconTheme o) => IsIconTheme o
instance O.HasParentTypes IconTheme
#if ENABLE_OVERLOADING
data IconThemeChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeAddResourcePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeAppendSearchPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeChooseIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeChooseIconForScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeGetExampleIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeGetIconSizesMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeGetSearchPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeHasIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeListContextsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeListIconsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLoadIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLoadIconForScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLoadSurfaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLookupByGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLookupByGiconForScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLookupIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeLookupIconForScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemePrependSearchPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeRescanIfNeededMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeSetCustomThemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeSetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconThemeSetSearchPathMethodInfo
#endif
