#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Image where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Image = Image (ManagedPtr Image)
instance GObject Image where
class (GObject o, O.IsDescendantOf Image o) => IsImage o
instance (GObject o, O.IsDescendantOf Image o) => IsImage o
instance O.HasParentTypes Image
#if ENABLE_OVERLOADING
data ImageFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageGiconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageIconSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageIconSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImagePixbufPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImagePixbufAnimationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImagePixelSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageResourcePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageStockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageStorageTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageSurfacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageUseFallbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ImageClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetAnimationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetIconSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetPixelSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageGetStorageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromAnimationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromIconSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromResourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetFromSurfaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ImageSetPixelSizeMethodInfo
#endif
