#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.InfoBar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype InfoBar = InfoBar (ManagedPtr InfoBar)
instance GObject InfoBar where
class (GObject o, O.IsDescendantOf InfoBar o) => IsInfoBar o
instance (GObject o, O.IsDescendantOf InfoBar o) => IsInfoBar o
instance O.HasParentTypes InfoBar
#if ENABLE_OVERLOADING
data InfoBarMessageTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarRevealedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarShowCloseButtonPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarCloseSignalInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarResponseSignalInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarAddActionWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarAddButtonMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarGetActionAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarGetContentAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarGetMessageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarGetRevealedMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarGetShowCloseButtonMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarResponseMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarSetDefaultResponseMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarSetMessageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarSetResponseSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarSetRevealedMethodInfo
#endif
#if ENABLE_OVERLOADING
data InfoBarSetShowCloseButtonMethodInfo
#endif
