#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Label where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Label = Label (ManagedPtr Label)
instance GObject Label where
class (GObject o, O.IsDescendantOf Label o) => IsLabel o
instance (GObject o, O.IsDescendantOf Label o) => IsLabel o
instance O.HasParentTypes Label
#if ENABLE_OVERLOADING
data LabelAnglePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelAttributesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelCursorPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelEllipsizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelJustifyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelMaxWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelMnemonicKeyvalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelMnemonicWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelPatternPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelSelectablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelSelectionBoundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelSingleLineModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelTrackVisitedLinksPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelUseMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelUseUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelWrapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelWrapModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelXalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelYalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LabelActivateCurrentLinkSignalInfo
#endif
#if ENABLE_OVERLOADING
data LabelActivateLinkSignalInfo
#endif
#if ENABLE_OVERLOADING
data LabelCopyClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data LabelMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data LabelPopulatePopupSignalInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetAngleMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetCurrentUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetEllipsizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetJustifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLayoutOffsetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLineWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLineWrapModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetMaxWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetMnemonicKeyvalMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetMnemonicWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetSelectableMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetSelectionBoundsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetSingleLineModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetTrackVisitedLinksMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetUseMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetUseUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetXalignMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelGetYalignMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSelectRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetAngleMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetEllipsizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetJustifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetLineWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetLineWrapModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetMarkupWithMnemonicMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetMaxWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetMnemonicWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetPatternMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetSelectableMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetSingleLineModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetTextWithMnemonicMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetTrackVisitedLinksMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetUseMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetUseUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetWidthCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetXalignMethodInfo
#endif
#if ENABLE_OVERLOADING
data LabelSetYalignMethodInfo
#endif
