#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Notebook where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Notebook = Notebook (ManagedPtr Notebook)
instance GObject Notebook where
class (GObject o, O.IsDescendantOf Notebook o) => IsNotebook o
instance (GObject o, O.IsDescendantOf Notebook o) => IsNotebook o
instance O.HasParentTypes Notebook
#if ENABLE_OVERLOADING
data NotebookEnablePopupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGroupNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookScrollablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookShowBorderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookShowTabsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookTabPosPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotebookChangeCurrentPageSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookCreateWindowSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookFocusTabSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookMoveFocusOutSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPageAddedSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPageRemovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPageReorderedSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookReorderTabSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSelectPageSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSwitchPageSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotebookAppendPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookAppendPageMenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookDetachTabMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetActionWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetCurrentPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetGroupNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetMenuLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetMenuLabelTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetNPagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetNthPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetScrollableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetShowBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetShowTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabDetachableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabHborderMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabLabelTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookGetTabVborderMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookInsertPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookInsertPageMenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookNextPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPageNumMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPopupDisableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPopupEnableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPrependPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPrependPageMenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookPrevPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookRemovePageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookReorderChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetActionWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetCurrentPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetGroupNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetMenuLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetMenuLabelTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetScrollableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetShowBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetShowTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetTabDetachableMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetTabLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetTabLabelTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetTabPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotebookSetTabReorderableMethodInfo
#endif
