#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.PlacesSidebar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PlacesSidebar = PlacesSidebar (ManagedPtr PlacesSidebar)
instance GObject PlacesSidebar where
class (GObject o, O.IsDescendantOf PlacesSidebar o) => IsPlacesSidebar o
instance (GObject o, O.IsDescendantOf PlacesSidebar o) => IsPlacesSidebar o
instance O.HasParentTypes PlacesSidebar
#if ENABLE_OVERLOADING
data PlacesSidebarLocalOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarLocationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarOpenFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarPopulateAllPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowConnectToServerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowDesktopPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowEnterLocationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowOtherLocationsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowRecentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowStarredLocationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowTrashPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarDragActionAskSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarDragActionRequestedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarDragPerformDropSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarMountSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarOpenLocationSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarPopulatePopupSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowConnectToServerSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowEnterLocationSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowErrorMessageSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowOtherLocationsSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowOtherLocationsWithFlagsSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarShowStarredLocationSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarUnmountSignalInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarAddShortcutMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetNthBookmarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetOpenFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowConnectToServerMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowEnterLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowOtherLocationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowRecentMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowStarredLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarGetShowTrashMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarListShortcutsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarRemoveShortcutMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetDropTargetsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetOpenFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowConnectToServerMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowEnterLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowOtherLocationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowRecentMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowStarredLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PlacesSidebarSetShowTrashMethodInfo
#endif
