#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.PrintContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PrintContext = PrintContext (ManagedPtr PrintContext)
instance GObject PrintContext where
class (GObject o, O.IsDescendantOf PrintContext o) => IsPrintContext o
instance (GObject o, O.IsDescendantOf PrintContext o) => IsPrintContext o
instance O.HasParentTypes PrintContext
#if ENABLE_OVERLOADING
data PrintContextCreatePangoContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextCreatePangoLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetCairoContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetDpiXMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetDpiYMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetHardMarginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetPangoFontmapMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintContextSetCairoContextMethodInfo
#endif
