#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.PrintOperation where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PrintOperation = PrintOperation (ManagedPtr PrintOperation)
instance GObject PrintOperation where
class (GObject o, O.IsDescendantOf PrintOperation o) => IsPrintOperation o
instance (GObject o, O.IsDescendantOf PrintOperation o) => IsPrintOperation o
instance O.HasParentTypes PrintOperation
#if ENABLE_OVERLOADING
data PrintOperationAllowAsyncPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCurrentPagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCustomTabLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationDefaultPageSetupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationEmbedPageSetupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationExportFilenamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationHasSelectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationJobNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationNPagesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationNPagesToPrintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationPrintSettingsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationShowProgressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationStatusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationStatusStringPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSupportSelectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationTrackPrintStatusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationUnitPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationUseFullPagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationBeginPrintSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCreateCustomWidgetSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCustomWidgetApplySignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationDoneSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationDrawPageSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationEndPrintSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationPaginateSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationPreviewSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationRequestPageSetupSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationStatusChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationUpdateCustomWidgetSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCancelMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationDrawPageFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetDefaultPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetEmbedPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetHasSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetNPagesToPrintMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetPrintSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetStatusStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetSupportSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationIsFinishedMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationRunMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetAllowAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetCurrentPageMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetCustomTabLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetDefaultPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetDeferDrawingMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetEmbedPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetExportFilenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetHasSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetJobNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetNPagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetPrintSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetShowProgressMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetSupportSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetTrackPrintStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetUnitMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetUseFullPageMethodInfo
#endif
