#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.PrintSettings where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PrintSettings = PrintSettings (ManagedPtr PrintSettings)
instance GObject PrintSettings where
class (GObject o, O.IsDescendantOf PrintSettings o) => IsPrintSettings o
instance (GObject o, O.IsDescendantOf PrintSettings o) => IsPrintSettings o
instance O.HasParentTypes PrintSettings
#if ENABLE_OVERLOADING
data PrintSettingsCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetCollateMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetDefaultSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetDitherMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetDoubleWithDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetDuplexMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetFinishingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetIntWithDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetMediaTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetNCopiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetNumberUpMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetNumberUpLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetOutputBinMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPageRangesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPageSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPaperHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPaperSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPaperWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPrintPagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPrinterMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetPrinterLpiMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetQualityMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetResolutionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetResolutionXMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetResolutionYMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetReverseMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsGetUseColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsHasKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsLoadFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsLoadKeyFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetCollateMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetDefaultSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetDitherMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetDuplexMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetFinishingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetMediaTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetNCopiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetNumberUpMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetNumberUpLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetOutputBinMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPageRangesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPageSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPaperHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPaperSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPaperWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPrintPagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPrinterMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetPrinterLpiMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetQualityMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetResolutionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetResolutionXyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetReverseMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsSetUseColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsToFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsToGvariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsToKeyFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintSettingsUnsetMethodInfo
#endif
