#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Settings where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Settings = Settings (ManagedPtr Settings)
instance GObject Settings where
class (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance O.HasParentTypes Settings
#if ENABLE_OVERLOADING
data SettingsGtkAlternativeButtonOrderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkAlternativeSortArrowsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkApplicationPreferDarkThemePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkAutoMnemonicsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkButtonImagesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCanChangeAccelsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkColorPalettePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkColorSchemePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCursorBlinkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCursorBlinkTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCursorBlinkTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCursorThemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkCursorThemeSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkDecorationLayoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkDialogsUseHeaderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkDndDragThresholdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkDoubleClickDistancePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkDoubleClickTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableAccelsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableAnimationsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableEventSoundsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableInputFeedbackSoundsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableMnemonicsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnablePrimaryPastePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEnableTooltipsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEntryPasswordHintTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkEntrySelectOnFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkErrorBellPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkFallbackIconThemePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkFileChooserBackendPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkFontNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkFontconfigTimestampPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkIconSizesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkIconThemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkImModulePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkImPreeditStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkImStatusStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkKeyThemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkKeynavCursorOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkKeynavUseCaretPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkKeynavWrapAroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkLabelSelectOnFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkLongPressTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkMenuBarAccelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkMenuBarPopupDelayPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkMenuImagesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkMenuPopdownDelayPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkMenuPopupDelayPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkModulesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkPrimaryButtonWarpsSliderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkPrintBackendsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkPrintPreviewCommandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkRecentFilesEnabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkRecentFilesLimitPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkRecentFilesMaxAgePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkScrolledWindowPlacementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkShellShowsAppMenuPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkShellShowsDesktopPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkShellShowsMenubarPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkShowInputMethodMenuPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkShowUnicodeMenuPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkSoundThemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkSplitCursorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkThemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTimeoutExpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTimeoutInitialPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTimeoutRepeatPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTitlebarDoubleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTitlebarMiddleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTitlebarRightClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkToolbarIconSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkToolbarStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTooltipBrowseModeTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTooltipBrowseTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTooltipTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkTouchscreenModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkVisibleFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkXftAntialiasPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkXftDpiPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkXftHintingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkXftHintstylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGtkXftRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsResetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDoublePropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetLongPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetPropertyValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetStringPropertyMethodInfo
#endif
