#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.StyleContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype StyleContext = StyleContext (ManagedPtr StyleContext)
instance GObject StyleContext where
class (GObject o, O.IsDescendantOf StyleContext o) => IsStyleContext o
instance (GObject o, O.IsDescendantOf StyleContext o) => IsStyleContext o
instance O.HasParentTypes StyleContext
#if ENABLE_OVERLOADING
data StyleContextDirectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextPaintClockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextParentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextScreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextAddClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextAddProviderMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextAddRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextCancelAnimationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetBackgroundColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetBorderColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetFontMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetFrameClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetJunctionSidesMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextGetStylePropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextHasClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextHasRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextInvalidateMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextListClassesMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextListRegionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextLookupColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextLookupIconSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextNotifyStateChangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextPopAnimatableRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextPushAnimatableRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextRemoveClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextRemoveProviderMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextRemoveRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextRestoreMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextScrollAnimationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetBackgroundMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetFrameClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetJunctionSidesMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextSetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextStateIsRunningMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleContextToStringMethodInfo
#endif
