#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TextBuffer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TextBuffer = TextBuffer (ManagedPtr TextBuffer)
instance GObject TextBuffer where
class (GObject o, O.IsDescendantOf TextBuffer o) => IsTextBuffer o
instance (GObject o, O.IsDescendantOf TextBuffer o) => IsTextBuffer o
instance O.HasParentTypes TextBuffer
#if ENABLE_OVERLOADING
data TextBufferCopyTargetListPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferCursorPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferHasSelectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferPasteTargetListPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferTagTablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferApplyTagSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferBeginUserActionSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteRangeSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferEndUserActionSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertChildAnchorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertPixbufSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertTextSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferMarkDeletedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferMarkSetSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferModifiedChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferPasteDoneSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRemoveTagSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferAddMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferAddSelectionClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferApplyTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferApplyTagByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferBackspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferBeginUserActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferCopyClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferCreateChildAnchorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferCreateMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferCutClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteInteractiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteMarkByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeleteSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeserializeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeserializeGetCanCreateTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferDeserializeSetCanCreateTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferEndUserActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetBoundsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetCharCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetCopyTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetDeserializeFormatsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetEndIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetHasSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtChildAnchorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtLineIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtLineOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetIterAtOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetLineCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetPasteTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetSelectionBoundMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetSelectionBoundsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetSerializeFormatsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetSliceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetStartIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetTagTableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertAtCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertChildAnchorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertInteractiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertInteractiveAtCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferInsertRangeInteractiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferMoveMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferMoveMarkByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferPasteClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferPlaceCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRegisterDeserializeFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRegisterDeserializeTagsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRegisterSerializeFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRegisterSerializeTagsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRemoveAllTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRemoveSelectionClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRemoveTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferRemoveTagByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferSelectRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferSerializeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferSetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferSetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferUnregisterDeserializeFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextBufferUnregisterSerializeFormatMethodInfo
#endif
