#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TextTag where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TextTag = TextTag (ManagedPtr TextTag)
instance GObject TextTag where
class (GObject o, O.IsDescendantOf TextTag o) => IsTextTag o
instance (GObject o, O.IsDescendantOf TextTag o) => IsTextTag o
instance O.HasParentTypes TextTag
#if ENABLE_OVERLOADING
data TextTagAccumulativeMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundFullHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundFullHeightSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagBackgroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagDirectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagEditableSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFallbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFallbackSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFamilySetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFontPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFontDescPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFontFeaturesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagFontFeaturesSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagForegroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagForegroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagForegroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagForegroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagIndentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagIndentSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagInvisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagInvisibleSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagJustificationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagJustificationSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLanguagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLanguageSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLeftMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLeftMarginSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLetterSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagLetterSpacingSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagParagraphBackgroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagParagraphBackgroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagParagraphBackgroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagParagraphBackgroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsAboveLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsAboveLinesSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsBelowLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsBelowLinesSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsInsideWrapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagPixelsInsideWrapSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagRightMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagRightMarginSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagRisePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagRiseSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagScalePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagScaleSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagSizePointsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagSizeSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStretchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStretchSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStrikethroughPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStrikethroughRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStrikethroughRgbaSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStrikethroughSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagStyleSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagTabsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagTabsSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagUnderlineRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagUnderlineRgbaSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagUnderlineSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagVariantPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagVariantSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagWeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagWeightSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagWrapModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagWrapModeSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextTagEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextTagChangedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextTagEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextTagGetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextTagSetPriorityMethodInfo
#endif
