#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ThemingEngine where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ThemingEngine = ThemingEngine (ManagedPtr ThemingEngine)
instance GObject ThemingEngine where
class (GObject o, O.IsDescendantOf ThemingEngine o) => IsThemingEngine o
instance (GObject o, O.IsDescendantOf ThemingEngine o) => IsThemingEngine o
instance O.HasParentTypes ThemingEngine
#if ENABLE_OVERLOADING
data ThemingEngineNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetBackgroundColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetBorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetBorderColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetFontMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetJunctionSidesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineGetStylePropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineHasClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineHasRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineLookupColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ThemingEngineStateIsRunningMethodInfo
#endif
