#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ToolItem where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ToolItem = ToolItem (ManagedPtr ToolItem)
instance GObject ToolItem where
class (GObject o, O.IsDescendantOf ToolItem o) => IsToolItem o
instance (GObject o, O.IsDescendantOf ToolItem o) => IsToolItem o
instance O.HasParentTypes ToolItem
#if ENABLE_OVERLOADING
data ToolItemIsImportantPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemVisibleHorizontalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemVisibleVerticalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemCreateMenuProxySignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemToolbarReconfiguredSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetEllipsizeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetIconSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetIsImportantMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetProxyMenuItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetReliefStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetTextAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetTextOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetTextSizeGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetToolbarStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetUseDragWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetVisibleHorizontalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemGetVisibleVerticalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemRebuildMenuMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemRetrieveProxyMenuItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetIsImportantMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetProxyMenuItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetUseDragWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetVisibleHorizontalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemSetVisibleVerticalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolItemToolbarReconfiguredMethodInfo
#endif
