#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Toolbar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Toolbar = Toolbar (ManagedPtr Toolbar)
instance GObject Toolbar where
class (GObject o, O.IsDescendantOf Toolbar o) => IsToolbar o
instance (GObject o, O.IsDescendantOf Toolbar o) => IsToolbar o
instance O.HasParentTypes Toolbar
#if ENABLE_OVERLOADING
data ToolbarIconSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarIconSizeSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarShowArrowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarToolbarStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarFocusHomeOrEndSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarOrientationChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarPopupContextMenuSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarStyleChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetDropIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetIconSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetItemIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetNItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetNthItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetReliefStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetShowArrowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarGetStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarSetDropHighlightItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarSetIconSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarSetShowArrowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarSetStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarUnsetIconSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolbarUnsetStyleMethodInfo
#endif
