#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TreeSelection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TreeSelection = TreeSelection (ManagedPtr TreeSelection)
instance GObject TreeSelection where
class (GObject o, O.IsDescendantOf TreeSelection o) => IsTreeSelection o
instance (GObject o, O.IsDescendantOf TreeSelection o) => IsTreeSelection o
instance O.HasParentTypes TreeSelection
#if ENABLE_OVERLOADING
data TreeSelectionModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionCountSelectedRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionGetModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionGetSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionGetSelectedRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionGetTreeViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionIterIsSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionPathIsSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSelectIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSelectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSelectRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSelectedForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSetModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionSetSelectFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionUnselectIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionUnselectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeSelectionUnselectRangeMethodInfo
#endif
