#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Widget where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Widget = Widget (ManagedPtr Widget)
instance GObject Widget where
class (GObject o, O.IsDescendantOf Widget o) => IsWidget o
instance (GObject o, O.IsDescendantOf Widget o) => IsWidget o
instance O.HasParentTypes Widget
#if ENABLE_OVERLOADING
data WidgetAppPaintablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCanDefaultPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCanFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCompositeChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDoubleBufferedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEventsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetExpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetFocusOnClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasDefaultPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasTooltipPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHeightRequestPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHexpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHexpandSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginBottomPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginEndPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginLeftPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginRightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginStartPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMarginTopPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetNoShowAllPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOpacityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetParentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetReceivesDefaultPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetScaleFactorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSensitivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetTooltipMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetTooltipTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetValignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetVexpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetVexpandSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetWidthRequestPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetWindowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAccelClosuresChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetButtonPressEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetButtonReleaseEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCanActivateAccelSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetChildNotifySignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCompositedChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetConfigureEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDamageEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDeleteEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDestroySignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDestroyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDirectionChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragBeginSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDataDeleteSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDataGetSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDataReceivedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDropSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragEndSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragLeaveSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragMotionSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDrawSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEnterNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEventAfterSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetFocusInEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetFocusOutEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabBrokenEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabNotifySignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHideSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHierarchyChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetKeyPressEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetKeyReleaseEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetKeynavFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetLeaveNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMapSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMapEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMnemonicActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMotionNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMoveFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetParentSetSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPopupMenuSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPropertyNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetProximityInEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetProximityOutEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueryTooltipSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRealizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetScreenChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetScrollEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSelectionClearEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSelectionGetSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSelectionNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSelectionReceivedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSelectionRequestEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShowSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShowHelpSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSizeAllocateSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStateChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStateFlagsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStyleSetSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStyleUpdatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetTouchEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnmapSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnmapEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnrealizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetVisibilityNotifyEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetWindowStateEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data WidgetActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAddAcceleratorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAddDeviceEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAddEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAddMnemonicLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetAddTickCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCanActivateAccelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetChildFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetChildNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetClassPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetComputeExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCreatePangoContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetCreatePangoLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDestroyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDestroyedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDeviceIsShadowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragBeginMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragBeginWithCoordinatesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragCheckThresholdMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestAddImageTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestAddTextTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestAddUriTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestFindTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestGetTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestGetTrackMotionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestSetProxyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestSetTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestSetTrackMotionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragDestUnsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragGetDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragHighlightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceAddImageTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceAddTextTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceAddUriTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceGetTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetIconGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetIconPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetIconStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceSetTargetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragSourceUnsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDragUnhighlightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetDrawMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEnsureStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetErrorBellMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetFreezeChildNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAccessibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAllocatedBaselineMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAllocatedHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAllocatedSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAllocatedWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAllocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAncestorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetAppPaintableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetCanDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetCanFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetChildRequisitionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetChildVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetClipMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetCompositeNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetDeviceEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetDeviceEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetDisplayMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetDoubleBufferedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetFontMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetFontOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetFrameClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetHalignMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetHasTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetHasWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetHexpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetHexpandSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMappedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginBottomMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginLeftMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginRightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetMarginTopMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetModifierMaskMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetModifierStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetNoShowAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetOpacityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPangoContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetParentWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPointerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredHeightAndBaselineForWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredHeightForWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetPreferredWidthForHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetRealizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetReceivesDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetRequestModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetRequisitionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetRootWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetScaleFactorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetSizeRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetStateFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetStyleContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetSupportMultideviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetTemplateChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetTooltipWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetToplevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetValignMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetValignWithBaselineMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetVexpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetVexpandSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetVisualMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabAddMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetGrabRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasGrabMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasRcStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHasVisibleFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHideMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetHideOnDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetInDestructionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetInitTemplateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetInputShapeCombineRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetInsertActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIntersectMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsAncestorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsCompositedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsDrawableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsToplevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetIsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetKeynavFailedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetListAccelClosuresMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetListActionPrefixesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetListMnemonicLabelsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetMnemonicActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyBaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyBgMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyFgMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyFontMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetModifyTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOverrideBackgroundColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOverrideColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOverrideCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOverrideFontMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetOverrideSymbolicColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueAllocateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueComputeExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueDrawMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueDrawAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueDrawRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetQueueResizeNoRedrawMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRealizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRegionIntersectMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRegisterWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRemoveAcceleratorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRemoveMnemonicLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRemoveTickCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRenderIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetRenderIconPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetReparentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetResetRcStylesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetResetStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSendExposeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSendFocusChangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetAccelPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetAllocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetAppPaintableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetCanDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetCanFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetChildVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetClipMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetCompositeNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetDeviceEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetDeviceEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetDoubleBufferedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetEventsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetFontMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetFontOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetHalignMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetHasTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetHasWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetHexpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetHexpandSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMappedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginBottomMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginLeftMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginRightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetMarginTopMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetNoShowAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetOpacityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetParentWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetRealizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetReceivesDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetRedrawOnAllocateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetSensitiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetSizeRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetStateFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetStyleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetSupportMultideviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetTooltipWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetValignMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetVexpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetVexpandSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetVisualMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShapeCombineRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShowAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetShowNowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSizeAllocateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSizeAllocateWithBaselineMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetSizeRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStyleAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetStyleGetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetThawChildNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetTranslateCoordinatesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetTriggerTooltipQueryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnmapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnparentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnrealizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnregisterWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetUnsetStateFlagsMethodInfo
#endif
