#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Window where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Window = Window (ManagedPtr Window)
instance GObject Window where
class (GObject o, O.IsDescendantOf Window o) => IsWindow o
instance (GObject o, O.IsDescendantOf Window o) => IsWindow o
instance O.HasParentTypes Window
#if ENABLE_OVERLOADING
data WindowAcceptFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowApplicationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowAttachedToPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowDecoratedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowDefaultHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowDefaultWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowDeletablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowDestroyWithParentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowFocusOnMapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowFocusVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowGravityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasResizeGripPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasToplevelFocusPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowHideTitlebarWhenMaximizedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowIconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsActivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMaximizedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowMnemonicsVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowModalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowResizablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowResizeGripVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowRolePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowScreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowSkipPagerHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowSkipTaskbarHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowStartupIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowTransientForPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowTypeHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowUrgencyHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowWindowPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateDefaultSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowEnableDebuggingSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowKeysChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowAddAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowAddMnemonicMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowBeginMoveDragMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowBeginResizeDragMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowDeiconifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowFullscreenOnMonitorMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetAcceptFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetAttachedToMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetDecoratedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetDefaultSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetDefaultWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetDeletableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetDestroyWithParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetFocusOnMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetFocusVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetGravityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetHasResizeGripMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetHideTitlebarWhenMaximizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetMnemonicModifierMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetMnemonicsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetModalMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetOpacityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetResizableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetResizeGripAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetRoleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSkipPagerHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSkipTaskbarHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetTitlebarMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetTransientForMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetTypeHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetUrgencyHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetWindowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasToplevelFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIconifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMaximizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMaximizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMnemonicActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowParseGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPresentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPresentWithTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropagateKeyEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowRemoveAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowRemoveMnemonicMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowReshowWithInitialSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowResizeGripIsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowResizeToGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetAcceptFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetAttachedToMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDecoratedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDefaultGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDefaultSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDeletableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetDestroyWithParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetFocusMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetFocusOnMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetFocusVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetGeometryHintsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetGravityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetHasResizeGripMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetHasUserRefCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetHideTitlebarWhenMaximizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetIconFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetIconListMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetKeepAboveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetKeepBelowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetMnemonicModifierMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetMnemonicsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetModalMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetOpacityMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetResizableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetRoleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetSkipPagerHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetSkipTaskbarHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetStartupIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetTitlebarMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetTransientForMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetTypeHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetUrgencyHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetWmclassMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowStickMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnfullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmaximizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnstickMethodInfo
#endif
