#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Structs.TextIter where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TextIter = TextIter (ManagedPtr TextIter)
instance BoxedObject TextIter where
#if ENABLE_OVERLOADING
data TextIterAssignMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardCursorPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardCursorPositionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardFindCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardSentenceStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardSentenceStartsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardToTagToggleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleCursorPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleCursorPositionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleWordStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardVisibleWordStartsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardWordStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBackwardWordStartsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterBeginsTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterCanInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterCompareMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEndsLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEndsSentenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEndsTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEndsWordMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardCursorPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardCursorPositionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardFindCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardSentenceEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardSentenceEndsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardToEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardToLineEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardToTagToggleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleCursorPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleCursorPositionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleWordEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardVisibleWordEndsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardWordEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterForwardWordEndsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetBytesInLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetCharMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetCharsInLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetChildAnchorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetLanguageMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetLineIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetLineOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetMarksMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetSliceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetToggledTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetVisibleLineIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetVisibleLineOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetVisibleSliceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterGetVisibleTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterHasTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterInRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterInsideSentenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterInsideWordMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterIsCursorPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterIsEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterIsStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetLineIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetLineOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetVisibleLineIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterSetVisibleLineOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterStartsLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterStartsSentenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterStartsTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterStartsWordMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextIterTogglesTagMethodInfo
#endif
