#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Enums where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

data WrapMode
instance P.Enum WrapMode where
instance BoxedEnum WrapMode where
data WindowType
instance P.Enum WindowType where
instance BoxedEnum WindowType where
data WindowPosition
instance P.Enum WindowPosition where
instance BoxedEnum WindowPosition where
data WidgetHelpType
instance P.Enum WidgetHelpType where
instance BoxedEnum WidgetHelpType where
data Unit
instance P.Enum Unit where
instance BoxedEnum Unit where
data TreeViewGridLines
instance P.Enum TreeViewGridLines where
instance BoxedEnum TreeViewGridLines where
data TreeViewDropPosition
instance P.Enum TreeViewDropPosition where
instance BoxedEnum TreeViewDropPosition where
data TreeViewColumnSizing
instance P.Enum TreeViewColumnSizing where
instance BoxedEnum TreeViewColumnSizing where
data ToolbarStyle
instance P.Enum ToolbarStyle where
instance BoxedEnum ToolbarStyle where
data ToolbarSpaceStyle
instance P.Enum ToolbarSpaceStyle where
instance BoxedEnum ToolbarSpaceStyle where
data TextWindowType
instance P.Enum TextWindowType where
instance BoxedEnum TextWindowType where
data TextViewLayer
instance P.Enum TextViewLayer where
instance BoxedEnum TextViewLayer where
data TextExtendSelection
instance P.Enum TextExtendSelection where
instance BoxedEnum TextExtendSelection where
data TextDirection
instance P.Enum TextDirection where
instance BoxedEnum TextDirection where
data TextBufferTargetInfo
instance P.Enum TextBufferTargetInfo where
instance BoxedEnum TextBufferTargetInfo where
data StateType
instance P.Enum StateType where
instance BoxedEnum StateType where
data StackTransitionType
instance P.Enum StackTransitionType where
instance BoxedEnum StackTransitionType where
data SpinType
instance P.Enum SpinType where
instance BoxedEnum SpinType where
data SpinButtonUpdatePolicy
instance P.Enum SpinButtonUpdatePolicy where
instance BoxedEnum SpinButtonUpdatePolicy where
data SortType
instance P.Enum SortType where
instance BoxedEnum SortType where
data SizeRequestMode
instance P.Enum SizeRequestMode where
instance BoxedEnum SizeRequestMode where
data SizeGroupMode
instance P.Enum SizeGroupMode where
instance BoxedEnum SizeGroupMode where
data ShortcutType
instance P.Enum ShortcutType where
instance BoxedEnum ShortcutType where
data ShadowType
instance P.Enum ShadowType where
instance BoxedEnum ShadowType where
data SensitivityType
instance P.Enum SensitivityType where
instance BoxedEnum SensitivityType where
data SelectionMode
instance P.Enum SelectionMode where
instance BoxedEnum SelectionMode where
data ScrollablePolicy
instance P.Enum ScrollablePolicy where
instance BoxedEnum ScrollablePolicy where
data ScrollType
instance P.Enum ScrollType where
instance BoxedEnum ScrollType where
data ScrollStep
instance P.Enum ScrollStep where
instance BoxedEnum ScrollStep where
data RevealerTransitionType
instance P.Enum RevealerTransitionType where
instance BoxedEnum RevealerTransitionType where
data ResponseType
instance P.Enum ResponseType where
instance BoxedEnum ResponseType where
data ResizeMode
instance P.Enum ResizeMode where
instance BoxedEnum ResizeMode where
data ReliefStyle
instance P.Enum ReliefStyle where
instance BoxedEnum ReliefStyle where
data RecentSortType
instance P.Enum RecentSortType where
instance BoxedEnum RecentSortType where
data RecentManagerError
instance P.Enum RecentManagerError where
instance BoxedEnum RecentManagerError where
data RecentChooserError
instance P.Enum RecentChooserError where
instance BoxedEnum RecentChooserError where
data RcTokenType
instance P.Enum RcTokenType where
instance BoxedEnum RcTokenType where
data PropagationPhase
instance P.Enum PropagationPhase where
instance BoxedEnum PropagationPhase where
data PrintStatus
instance P.Enum PrintStatus where
instance BoxedEnum PrintStatus where
data PrintQuality
instance P.Enum PrintQuality where
instance BoxedEnum PrintQuality where
data PrintPages
instance P.Enum PrintPages where
instance BoxedEnum PrintPages where
data PrintOperationResult
instance P.Enum PrintOperationResult where
instance BoxedEnum PrintOperationResult where
data PrintOperationAction
instance P.Enum PrintOperationAction where
instance BoxedEnum PrintOperationAction where
data PrintError
instance P.Enum PrintError where
instance BoxedEnum PrintError where
data PrintDuplex
instance P.Enum PrintDuplex where
instance BoxedEnum PrintDuplex where
data PositionType
instance P.Enum PositionType where
instance BoxedEnum PositionType where
data PopoverConstraint
instance P.Enum PopoverConstraint where
instance BoxedEnum PopoverConstraint where
data PolicyType
instance P.Enum PolicyType where
instance BoxedEnum PolicyType where
data PathType
instance P.Enum PathType where
instance BoxedEnum PathType where
data PathPriorityType
instance P.Enum PathPriorityType where
instance BoxedEnum PathPriorityType where
data PanDirection
instance P.Enum PanDirection where
instance BoxedEnum PanDirection where
data PageSet
instance P.Enum PageSet where
instance BoxedEnum PageSet where
data PageOrientation
instance P.Enum PageOrientation where
instance BoxedEnum PageOrientation where
data PadActionType
instance P.Enum PadActionType where
instance BoxedEnum PadActionType where
data PackType
instance P.Enum PackType where
instance BoxedEnum PackType where
data PackDirection
instance P.Enum PackDirection where
instance BoxedEnum PackDirection where
data Orientation
instance P.Enum Orientation where
instance BoxedEnum Orientation where
data NumberUpLayout
instance P.Enum NumberUpLayout where
instance BoxedEnum NumberUpLayout where
data NotebookTab
instance P.Enum NotebookTab where
instance BoxedEnum NotebookTab where
data MovementStep
instance P.Enum MovementStep where
instance BoxedEnum MovementStep where
data MessageType
instance P.Enum MessageType where
instance BoxedEnum MessageType where
data MenuDirectionType
instance P.Enum MenuDirectionType where
instance BoxedEnum MenuDirectionType where
data License
instance P.Enum License where
instance BoxedEnum License where
data LevelBarMode
instance P.Enum LevelBarMode where
instance BoxedEnum LevelBarMode where
data Justification
instance P.Enum Justification where
instance BoxedEnum Justification where
data InputPurpose
instance P.Enum InputPurpose where
instance BoxedEnum InputPurpose where
data ImageType
instance P.Enum ImageType where
instance BoxedEnum ImageType where
data IconViewDropPosition
instance P.Enum IconViewDropPosition where
instance BoxedEnum IconViewDropPosition where
data IconThemeError
instance P.Enum IconThemeError where
instance BoxedEnum IconThemeError where
data IconSize
instance P.Enum IconSize where
instance BoxedEnum IconSize where
data IMStatusStyle
instance P.Enum IMStatusStyle where
instance BoxedEnum IMStatusStyle where
data IMPreeditStyle
instance P.Enum IMPreeditStyle where
instance BoxedEnum IMPreeditStyle where
data FileChooserError
instance P.Enum FileChooserError where
instance BoxedEnum FileChooserError where
data FileChooserConfirmation
instance P.Enum FileChooserConfirmation where
instance BoxedEnum FileChooserConfirmation where
data FileChooserAction
instance P.Enum FileChooserAction where
instance BoxedEnum FileChooserAction where
data ExpanderStyle
instance P.Enum ExpanderStyle where
instance BoxedEnum ExpanderStyle where
data EventSequenceState
instance P.Enum EventSequenceState where
instance BoxedEnum EventSequenceState where
data EntryIconPosition
instance P.Enum EntryIconPosition where
instance BoxedEnum EntryIconPosition where
data DragResult
instance P.Enum DragResult where
instance BoxedEnum DragResult where
data DirectionType
instance P.Enum DirectionType where
instance BoxedEnum DirectionType where
data DeleteType
instance P.Enum DeleteType where
instance BoxedEnum DeleteType where
data CssSectionType
instance P.Enum CssSectionType where
instance BoxedEnum CssSectionType where
data CssProviderError
instance P.Enum CssProviderError where
instance BoxedEnum CssProviderError where
data CornerType
instance P.Enum CornerType where
instance BoxedEnum CornerType where
data CellRendererMode
instance P.Enum CellRendererMode where
instance BoxedEnum CellRendererMode where
data CellRendererAccelMode
instance P.Enum CellRendererAccelMode where
instance BoxedEnum CellRendererAccelMode where
data ButtonsType
instance P.Enum ButtonsType where
instance BoxedEnum ButtonsType where
data ButtonRole
instance P.Enum ButtonRole where
instance BoxedEnum ButtonRole where
data ButtonBoxStyle
instance P.Enum ButtonBoxStyle where
instance BoxedEnum ButtonBoxStyle where
data BuilderError
instance P.Enum BuilderError where
instance BoxedEnum BuilderError where
data BorderStyle
instance P.Enum BorderStyle where
instance BoxedEnum BorderStyle where
data BaselinePosition
instance P.Enum BaselinePosition where
instance BoxedEnum BaselinePosition where
data AssistantPageType
instance P.Enum AssistantPageType where
instance BoxedEnum AssistantPageType where
data ArrowType
instance P.Enum ArrowType where
instance BoxedEnum ArrowType where
data ArrowPlacement
instance P.Enum ArrowPlacement where
instance BoxedEnum ArrowPlacement where
data Align
instance P.Enum Align where
instance BoxedEnum Align where
