

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.Gtk.Interfaces
    (     module GI.Gtk.Interfaces.Actionable     ,
    module GI.Gtk.Interfaces.Activatable    ,
    module GI.Gtk.Interfaces.AppChooser     ,
    module GI.Gtk.Interfaces.Buildable      ,
    module GI.Gtk.Interfaces.CellAccessibleParent,
    module GI.Gtk.Interfaces.CellEditable   ,
    module GI.Gtk.Interfaces.CellLayout     ,
    module GI.Gtk.Interfaces.ColorChooser   ,
    module GI.Gtk.Interfaces.Editable       ,
    module GI.Gtk.Interfaces.FileChooser    ,
    module GI.Gtk.Interfaces.FontChooser    ,
    module GI.Gtk.Interfaces.Orientable     ,
    module GI.Gtk.Interfaces.PrintOperationPreview,
    module GI.Gtk.Interfaces.RecentChooser  ,
    module GI.Gtk.Interfaces.Scrollable     ,
    module GI.Gtk.Interfaces.StyleProvider  ,
    module GI.Gtk.Interfaces.ToolShell      ,
    module GI.Gtk.Interfaces.TreeDragDest   ,
    module GI.Gtk.Interfaces.TreeDragSource ,
    module GI.Gtk.Interfaces.TreeModel      ,
    module GI.Gtk.Interfaces.TreeSortable   ,


    ) where

import GI.Gtk.Interfaces.Actionable
import GI.Gtk.Interfaces.Activatable
import GI.Gtk.Interfaces.AppChooser
import GI.Gtk.Interfaces.Buildable
import GI.Gtk.Interfaces.CellAccessibleParent
import GI.Gtk.Interfaces.CellEditable
import GI.Gtk.Interfaces.CellLayout
import GI.Gtk.Interfaces.ColorChooser
import GI.Gtk.Interfaces.Editable
import GI.Gtk.Interfaces.FileChooser
import GI.Gtk.Interfaces.FontChooser
import GI.Gtk.Interfaces.Orientable
import GI.Gtk.Interfaces.PrintOperationPreview
import GI.Gtk.Interfaces.RecentChooser
import GI.Gtk.Interfaces.Scrollable
import GI.Gtk.Interfaces.StyleProvider
import GI.Gtk.Interfaces.ToolShell
import GI.Gtk.Interfaces.TreeDragDest
import GI.Gtk.Interfaces.TreeDragSource
import GI.Gtk.Interfaces.TreeModel
import GI.Gtk.Interfaces.TreeSortable

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



