#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Interfaces.RecentChooser where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype RecentChooser = RecentChooser (ManagedPtr RecentChooser)
#if ENABLE_OVERLOADING
data RecentChooserItemActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSelectionChangedSignalInfo
#endif
instance GObject RecentChooser where
class (GObject o, O.IsDescendantOf RecentChooser o) => IsRecentChooser o
instance (GObject o, O.IsDescendantOf RecentChooser o) => IsRecentChooser o
instance O.HasParentTypes RecentChooser
#if ENABLE_OVERLOADING
data RecentChooserFilterPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserLimitPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserLocalOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserRecentManagerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSelectMultiplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserShowIconsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserShowNotFoundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserShowPrivatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserShowTipsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSortTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserAddFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetCurrentItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetCurrentUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetLimitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetSelectMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetShowIconsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetShowNotFoundMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetShowPrivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetShowTipsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetSortTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserGetUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserListFiltersMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserRemoveFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSelectUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetCurrentUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetLimitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetLocalOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetSelectMultipleMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetShowIconsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetShowNotFoundMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetShowPrivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetShowTipsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetSortFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserSetSortTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data RecentChooserUnselectUriMethodInfo
#endif
