#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.AboutDialog where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AboutDialog = AboutDialog (ManagedPtr AboutDialog)
instance GObject AboutDialog where
class (GObject o, O.IsDescendantOf AboutDialog o) => IsAboutDialog o
instance (GObject o, O.IsDescendantOf AboutDialog o) => IsAboutDialog o
instance O.HasParentTypes AboutDialog
#if ENABLE_OVERLOADING
data AboutDialogArtistsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogAuthorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogCommentsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogCopyrightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogDocumentersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogLicensePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogLicenseTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogLogoPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogLogoIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogProgramNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogTranslatorCreditsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogVersionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogWebsitePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogWebsiteLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogWrapLicensePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogActivateLinkSignalInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogAddCreditSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetArtistsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetAuthorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetCommentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetCopyrightMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetDocumentersMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetLicenseMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetLicenseTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetLogoMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetLogoIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetProgramNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetTranslatorCreditsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetWebsiteMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetWebsiteLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogGetWrapLicenseMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetArtistsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetAuthorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetCommentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetCopyrightMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetDocumentersMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetLicenseMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetLicenseTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetLogoMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetLogoIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetProgramNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetTranslatorCreditsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetWebsiteMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetWebsiteLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data AboutDialogSetWrapLicenseMethodInfo
#endif
