#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Button where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Button = Button (ManagedPtr Button)
instance GObject Button where
class (GObject o, O.IsDescendantOf Button o) => IsButton o
instance (GObject o, O.IsDescendantOf Button o) => IsButton o
instance O.HasParentTypes Button
#if ENABLE_OVERLOADING
data ButtonAlwaysShowImagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonImagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonImagePositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonReliefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonUseStockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonUseUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonXalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonYalignPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ButtonActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonClickedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonEnterSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonLeaveSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonPressedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonReleasedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ButtonClickedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonEnterMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetAlwaysShowImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetEventWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetImagePositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetReliefMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetUseStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonGetUseUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonLeaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonPressedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonReleasedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetAlwaysShowImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetFocusOnClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetImagePositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetReliefMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetUseStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ButtonSetUseUnderlineMethodInfo
#endif
