#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.CellRendererText where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CellRendererText = CellRendererText (ManagedPtr CellRendererText)
instance GObject CellRendererText where
class (GObject o, O.IsDescendantOf CellRendererText o) => IsCellRendererText o
instance (GObject o, O.IsDescendantOf CellRendererText o) => IsCellRendererText o
instance O.HasParentTypes CellRendererText
#if ENABLE_OVERLOADING
data CellRendererTextAlignSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextAlignmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextAttributesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextBackgroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextBackgroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextBackgroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextBackgroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextEditableSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextEllipsizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextEllipsizeSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextFamilySetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextFontPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextFontDescPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextForegroundPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextForegroundGdkPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextForegroundRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextForegroundSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextLanguagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextLanguageSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextMaxWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextPlaceholderTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextRisePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextRiseSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextScalePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextScaleSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextSingleParagraphModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextSizePointsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextSizeSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStretchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStretchSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStrikethroughPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStrikethroughSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStylePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextStyleSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextUnderlineSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextVariantPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextVariantSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextWeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextWeightSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextWidthCharsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextWrapModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextWrapWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextEditedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CellRendererTextSetFixedHeightFromFontMethodInfo
#endif
