#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Clipboard where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Clipboard = Clipboard (ManagedPtr Clipboard)
instance GObject Clipboard where
class (GObject o, O.IsDescendantOf Clipboard o) => IsClipboard o
instance (GObject o, O.IsDescendantOf Clipboard o) => IsClipboard o
instance O.HasParentTypes Clipboard
#if ENABLE_OVERLOADING
data ClipboardOwnerChangeSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardGetDisplayMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardGetOwnerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestRichTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardRequestUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardSetCanStoreMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardSetImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardSetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardStoreMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForImageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForRichTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForTargetsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitForUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitIsImageAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitIsRichTextAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitIsTargetAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitIsTextAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClipboardWaitIsUrisAvailableMethodInfo
#endif
