#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ColorSelection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ColorSelection = ColorSelection (ManagedPtr ColorSelection)
instance GObject ColorSelection where
class (GObject o, O.IsDescendantOf ColorSelection o) => IsColorSelection o
instance (GObject o, O.IsDescendantOf ColorSelection o) => IsColorSelection o
instance O.HasParentTypes ColorSelection
#if ENABLE_OVERLOADING
data ColorSelectionCurrentAlphaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionCurrentColorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionCurrentRgbaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionHasOpacityControlPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionHasPalettePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionColorChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetCurrentAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetCurrentColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetCurrentRgbaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetHasOpacityControlMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetHasPaletteMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetPreviousAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetPreviousColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionGetPreviousRgbaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionIsAdjustingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetCurrentAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetCurrentColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetCurrentRgbaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetHasOpacityControlMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetHasPaletteMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetPreviousAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetPreviousColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data ColorSelectionSetPreviousRgbaMethodInfo
#endif
