#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Container where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Container = Container (ManagedPtr Container)
instance GObject Container where
class (GObject o, O.IsDescendantOf Container o) => IsContainer o
instance (GObject o, O.IsDescendantOf Container o) => IsContainer o
instance O.HasParentTypes Container
#if ENABLE_OVERLOADING
data ContainerBorderWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ContainerResizeModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ContainerAddSignalInfo
#endif
#if ENABLE_OVERLOADING
data ContainerCheckResizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data ContainerRemoveSignalInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetFocusChildSignalInfo
#endif
#if ENABLE_OVERLOADING
data ContainerAddMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerCheckResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildGetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildNotifyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildNotifyByPspecMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildSetPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerChildTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerForallMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetBorderWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetFocusChainMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetFocusChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetFocusHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetFocusVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetPathForChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerGetResizeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerPropagateDrawMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerResizeChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetBorderWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetFocusChainMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetFocusChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetFocusHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetFocusVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetReallocateRedrawsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerSetResizeModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ContainerUnsetFocusChainMethodInfo
#endif
