#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.FlowBox where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype FlowBox = FlowBox (ManagedPtr FlowBox)
instance GObject FlowBox where
class (GObject o, O.IsDescendantOf FlowBox o) => IsFlowBox o
instance (GObject o, O.IsDescendantOf FlowBox o) => IsFlowBox o
instance O.HasParentTypes FlowBox
#if ENABLE_OVERLOADING
data FlowBoxActivateOnSingleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxColumnSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxHomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxMaxChildrenPerLinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxMinChildrenPerLinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxRowSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectionModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxActivateCursorChildSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxChildActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectedChildrenChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxToggleCursorChildSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxUnselectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxBindModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetChildAtIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetChildAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetMaxChildrenPerLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetMinChildrenPerLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetRowSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetSelectedChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxGetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxInvalidateFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxInvalidateSortMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSelectedForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetFilterFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetMaxChildrenPerLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetMinChildrenPerLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetRowSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetSortFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxSetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data FlowBoxUnselectChildMethodInfo
#endif
