#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.GLArea where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype GLArea = GLArea (ManagedPtr GLArea)
instance GObject GLArea where
class (GObject o, O.IsDescendantOf GLArea o) => IsGLArea o
instance (GObject o, O.IsDescendantOf GLArea o) => IsGLArea o
instance O.HasParentTypes GLArea
#if ENABLE_OVERLOADING
data GLAreaAutoRenderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaHasAlphaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaHasDepthBufferPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaHasStencilBufferPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaUseEsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaCreateContextSignalInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaRenderSignalInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaResizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaAttachBuffersMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetAutoRenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetHasAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetHasDepthBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetHasStencilBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetRequiredVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaGetUseEsMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaMakeCurrentMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaQueueRenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetAutoRenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetHasAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetHasDepthBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetHasStencilBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetRequiredVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data GLAreaSetUseEsMethodInfo
#endif
