#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Gesture where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Gesture = Gesture (ManagedPtr Gesture)
instance GObject Gesture where
class (GObject o, O.IsDescendantOf Gesture o) => IsGesture o
instance (GObject o, O.IsDescendantOf Gesture o) => IsGesture o
instance O.HasParentTypes Gesture
#if ENABLE_OVERLOADING
data GestureNPointsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GestureWindowPropertyInfo
#endif
#if ENABLE_OVERLOADING
data GestureBeginSignalInfo
#endif
#if ENABLE_OVERLOADING
data GestureCancelSignalInfo
#endif
#if ENABLE_OVERLOADING
data GestureEndSignalInfo
#endif
#if ENABLE_OVERLOADING
data GestureSequenceStateChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data GestureUpdateSignalInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetBoundingBoxMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetBoundingBoxCenterMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetDeviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetLastEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetLastUpdatedSequenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetPointMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetSequenceStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetSequencesMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureHandlesSequenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureIsGroupedWithMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureIsRecognizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureSetSequenceStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureSetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureSetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data GestureUngroupMethodInfo
#endif
