#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.IconView where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IconView = IconView (ManagedPtr IconView)
instance GObject IconView where
class (GObject o, O.IsDescendantOf IconView o) => IsIconView o
instance (GObject o, O.IsDescendantOf IconView o) => IsIconView o
instance O.HasParentTypes IconView
#if ENABLE_OVERLOADING
data IconViewActivateOnSingleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewCellAreaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewColumnSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewColumnsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewItemOrientationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewItemPaddingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewItemWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewMarkupColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewModelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewPixbufColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewReorderablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewRowSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectionModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewTextColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewTooltipColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IconViewActivateCursorItemSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewItemActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectCursorItemSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectionChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewToggleCursorItemSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewUnselectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data IconViewConvertWidgetToBinWindowCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewCreateDragIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewEnableModelDragDestMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewEnableModelDragSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetCellRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetColumnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetDestItemAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetDragDestItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetItemWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetMarkupColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetPathAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetPixbufColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetRowSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetSelectedItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetTextColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetTooltipColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetTooltipContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewGetVisibleRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewItemActivatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewPathIsSelectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewScrollToPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSelectedForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetColumnSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetColumnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetDragDestItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetItemOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetItemPaddingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetItemWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetMarkupColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetPixbufColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetRowSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetTextColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetTooltipCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetTooltipColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewSetTooltipItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewUnselectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewUnsetModelDragDestMethodInfo
#endif
#if ENABLE_OVERLOADING
data IconViewUnsetModelDragSourceMethodInfo
#endif
