#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ListBox where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ListBox = ListBox (ManagedPtr ListBox)
instance GObject ListBox where
class (GObject o, O.IsDescendantOf ListBox o) => IsListBox o
instance (GObject o, O.IsDescendantOf ListBox o) => IsListBox o
instance O.HasParentTypes ListBox
#if ENABLE_OVERLOADING
data ListBoxActivateOnSingleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectionModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxActivateCursorRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxRowActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxRowSelectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectedRowsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxToggleCursorRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxUnselectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxBindModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxDragHighlightRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxDragUnhighlightRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetRowAtIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetRowAtYMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetSelectedRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetSelectedRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxGetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxInvalidateFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxInvalidateHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxInvalidateSortMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxPrependMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSelectedForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetFilterFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetHeaderFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetPlaceholderMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetSelectionModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxSetSortFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxUnselectAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data ListBoxUnselectRowMethodInfo
#endif
