#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Menu where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Menu = Menu (ManagedPtr Menu)
instance GObject Menu where
class (GObject o, O.IsDescendantOf Menu o) => IsMenu o
instance (GObject o, O.IsDescendantOf Menu o) => IsMenu o
instance O.HasParentTypes Menu
#if ENABLE_OVERLOADING
data MenuAccelGroupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuAccelPathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuActivePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuAnchorHintsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuAttachWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuMenuTypeHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuMonitorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuRectAnchorDxPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuRectAnchorDyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuReserveToggleSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuTearoffStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuTearoffTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuMoveScrollSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuPoppedUpSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuAttachToWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuDetachMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetAccelPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetAttachWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetMonitorMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetReserveToggleSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetTearoffStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPlaceOnMonitorMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopdownMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopupMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopupAtPointerMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopupAtRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopupAtWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuPopupForDeviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuReorderChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuRepositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetAccelPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetMonitorMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetReserveToggleSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetTearoffStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuSetTitleMethodInfo
#endif
