#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.PageSetup where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PageSetup = PageSetup (ManagedPtr PageSetup)
instance GObject PageSetup where
class (GObject o, O.IsDescendantOf PageSetup o) => IsPageSetup o
instance (GObject o, O.IsDescendantOf PageSetup o) => IsPageSetup o
instance O.HasParentTypes PageSetup
#if ENABLE_OVERLOADING
data PageSetupCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetBottomMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetLeftMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetPageHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetPageWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetPaperHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetPaperSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetPaperWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetRightMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupGetTopMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupLoadFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupLoadKeyFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetBottomMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetLeftMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetPaperSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetPaperSizeAndDefaultMarginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetRightMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupSetTopMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupToFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupToGvariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data PageSetupToKeyFileMethodInfo
#endif
