#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Paned where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Paned = Paned (ManagedPtr Paned)
instance GObject Paned where
class (GObject o, O.IsDescendantOf Paned o) => IsPaned o
instance (GObject o, O.IsDescendantOf Paned o) => IsPaned o
instance O.HasParentTypes Paned
#if ENABLE_OVERLOADING
data PanedMaxPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PanedMinPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PanedPositionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PanedPositionSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PanedWideHandlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PanedAcceptPositionSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedCancelPositionSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedCycleChildFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedCycleHandleFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedMoveHandleSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedToggleHandleFocusSignalInfo
#endif
#if ENABLE_OVERLOADING
data PanedAdd1MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedAdd2MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedGetChild1MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedGetChild2MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedGetHandleWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedGetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedGetWideHandleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedPack1MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedPack2MethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedSetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PanedSetWideHandleMethodInfo
#endif
