#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ProgressBar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ProgressBar = ProgressBar (ManagedPtr ProgressBar)
instance GObject ProgressBar where
class (GObject o, O.IsDescendantOf ProgressBar o) => IsProgressBar o
instance (GObject o, O.IsDescendantOf ProgressBar o) => IsProgressBar o
instance O.HasParentTypes ProgressBar
#if ENABLE_OVERLOADING
data ProgressBarEllipsizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarFractionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarInvertedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarPulseStepPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarShowTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetEllipsizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetFractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetInvertedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetPulseStepMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetShowTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarGetTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarPulseMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetEllipsizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetFractionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetInvertedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetPulseStepMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetShowTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ProgressBarSetTextMethodInfo
#endif
