#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Range where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Range = Range (ManagedPtr Range)
instance GObject Range where
class (GObject o, O.IsDescendantOf Range o) => IsRange o
instance (GObject o, O.IsDescendantOf Range o) => IsRange o
instance O.HasParentTypes Range
#if ENABLE_OVERLOADING
data RangeAdjustmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeFillLevelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeInvertedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeLowerStepperSensitivityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeRestrictToFillLevelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeRoundDigitsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeShowFillLevelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeUpperStepperSensitivityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RangeAdjustBoundsSignalInfo
#endif
#if ENABLE_OVERLOADING
data RangeChangeValueSignalInfo
#endif
#if ENABLE_OVERLOADING
data RangeMoveSliderSignalInfo
#endif
#if ENABLE_OVERLOADING
data RangeValueChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetFlippableMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetInvertedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetLowerStepperSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetMinSliderSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetRangeRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetRestrictToFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetRoundDigitsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetShowFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetSliderRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetSliderSizeFixedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetUpperStepperSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetFlippableMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetIncrementsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetInvertedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetLowerStepperSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetMinSliderSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetRestrictToFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetRoundDigitsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetShowFillLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetSliderSizeFixedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetUpperStepperSensitivityMethodInfo
#endif
#if ENABLE_OVERLOADING
data RangeSetValueMethodInfo
#endif
