#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ScrolledWindow where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ScrolledWindow = ScrolledWindow (ManagedPtr ScrolledWindow)
instance GObject ScrolledWindow where
class (GObject o, O.IsDescendantOf ScrolledWindow o) => IsScrolledWindow o
instance (GObject o, O.IsDescendantOf ScrolledWindow o) => IsScrolledWindow o
instance O.HasParentTypes ScrolledWindow
#if ENABLE_OVERLOADING
data ScrolledWindowHadjustmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowHscrollbarPolicyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowKineticScrollingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowMaxContentHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowMaxContentWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowMinContentHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowMinContentWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowOverlayScrollingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowPropagateNaturalHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowPropagateNaturalWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowShadowTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowVadjustmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowVscrollbarPolicyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowWindowPlacementPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowWindowPlacementSetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowEdgeOvershotSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowEdgeReachedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowMoveFocusOutSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowScrollChildSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowAddWithViewportMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetCaptureButtonPressMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetHscrollbarMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetKineticScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetMaxContentHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetMaxContentWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetMinContentHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetMinContentWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetOverlayScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetPlacementMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetPropagateNaturalHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetPropagateNaturalWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetShadowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowGetVscrollbarMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetCaptureButtonPressMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetKineticScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetMaxContentHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetMaxContentWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetMinContentHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetMinContentWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetOverlayScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetPlacementMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetPropagateNaturalHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetPropagateNaturalWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetShadowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowSetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScrolledWindowUnsetPlacementMethodInfo
#endif
