#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.SpinButton where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype SpinButton = SpinButton (ManagedPtr SpinButton)
instance GObject SpinButton where
class (GObject o, O.IsDescendantOf SpinButton o) => IsSpinButton o
instance (GObject o, O.IsDescendantOf SpinButton o) => IsSpinButton o
instance O.HasParentTypes SpinButton
#if ENABLE_OVERLOADING
data SpinButtonAdjustmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonClimbRatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonDigitsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonNumericPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSnapToTicksPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonUpdatePolicyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonValuePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonWrapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonChangeValueSignalInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonInputSignalInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonOutputSignalInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonValueChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonWrappedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonConfigureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetDigitsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetIncrementsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetNumericMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetSnapToTicksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetUpdatePolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetValueAsIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonGetWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetAdjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetDigitsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetIncrementsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetNumericMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetSnapToTicksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetUpdatePolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSetWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonSpinMethodInfo
#endif
#if ENABLE_OVERLOADING
data SpinButtonUpdateMethodInfo
#endif
