#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Stack where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Stack = Stack (ManagedPtr Stack)
instance GObject Stack where
class (GObject o, O.IsDescendantOf Stack o) => IsStack o
instance (GObject o, O.IsDescendantOf Stack o) => IsStack o
instance O.HasParentTypes Stack
#if ENABLE_OVERLOADING
data StackHhomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackHomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackInterpolateSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackTransitionDurationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackTransitionRunningPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackTransitionTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackVhomogeneousPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackVisibleChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackVisibleChildNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StackAddNamedMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackAddTitledMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetChildByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetHhomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetInterpolateSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetTransitionRunningMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetVhomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetVisibleChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackGetVisibleChildNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetHhomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetInterpolateSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetVhomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetVisibleChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetVisibleChildFullMethodInfo
#endif
#if ENABLE_OVERLOADING
data StackSetVisibleChildNameMethodInfo
#endif
