#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.StatusIcon where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype StatusIcon = StatusIcon (ManagedPtr StatusIcon)
instance GObject StatusIcon where
class (GObject o, O.IsDescendantOf StatusIcon o) => IsStatusIcon o
instance (GObject o, O.IsDescendantOf StatusIcon o) => IsStatusIcon o
instance O.HasParentTypes StatusIcon
#if ENABLE_OVERLOADING
data StatusIconEmbeddedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGiconPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconHasTooltipPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconOrientationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconPixbufPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconScreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconStockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconStorageTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconTooltipMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconTooltipTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconButtonPressEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconButtonReleaseEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconPopupMenuSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconQueryTooltipSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconScrollEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSizeChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetHasTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetStorageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconGetX11WindowIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconIsEmbeddedMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetFromGiconMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetFromIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetFromPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetFromStockMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetHasTooltipMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetTooltipMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetTooltipTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data StatusIconSetVisibleMethodInfo
#endif
