#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.Style where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Style = Style (ManagedPtr Style)
instance GObject Style where
class (GObject o, O.IsDescendantOf Style o) => IsStyle o
instance (GObject o, O.IsDescendantOf Style o) => IsStyle o
instance O.HasParentTypes Style
#if ENABLE_OVERLOADING
data StyleContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data StyleRealizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data StyleUnrealizeSignalInfo
#endif
#if ENABLE_OVERLOADING
data StyleApplyDefaultBackgroundMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleDetachMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleGetStylePropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleHasContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleLookupColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleLookupIconSetMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleRenderIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data StyleSetBackgroundMethodInfo
#endif
