#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TextView where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TextView = TextView (ManagedPtr TextView)
instance GObject TextView where
class (GObject o, O.IsDescendantOf TextView o) => IsTextView o
instance (GObject o, O.IsDescendantOf TextView o) => IsTextView o
instance O.HasParentTypes TextView
#if ENABLE_OVERLOADING
data TextViewAcceptsTabPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBottomMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBufferPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewCursorVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewEditablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewImModulePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewIndentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewInputHintsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewInputPurposePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewJustificationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewLeftMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMonospacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewOverwritePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPixelsAboveLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPixelsBelowLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPixelsInsideWrapPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPopulateAllPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewRightMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewTabsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewTopMarginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewWrapModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBackspaceSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewCopyClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewCutClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewDeleteFromCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewExtendSelectionSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewInsertAtCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewInsertEmojiSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMoveViewportSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPasteClipboardSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPopulatePopupSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPreeditChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSelectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetAnchorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewToggleCursorVisibleSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewToggleOverwriteSignalInfo
#endif
#if ENABLE_OVERLOADING
data TextViewAddChildAtAnchorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewAddChildInWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBackwardDisplayLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBackwardDisplayLineStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewBufferToWindowCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewForwardDisplayLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewForwardDisplayLineEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetAcceptsTabMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetBorderWindowSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetBottomMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetCursorLocationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetCursorVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetDefaultAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetIndentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetInputHintsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetInputPurposeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetIterAtLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetIterAtPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetIterLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetJustificationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetLeftMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetLineAtYMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetLineYrangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetMonospaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetOverwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetPixelsAboveLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetPixelsBelowLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetPixelsInsideWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetRightMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetTopMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetVisibleRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetWindowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewGetWrapModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewImContextFilterKeypressMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMoveChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMoveMarkOnscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewMoveVisuallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewPlaceCursorOnscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewResetCursorBlinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewResetImContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewScrollMarkOnscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewScrollToIterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewScrollToMarkMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetAcceptsTabMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetBorderWindowSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetBottomMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetCursorVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetEditableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetIndentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetInputHintsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetInputPurposeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetJustificationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetLeftMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetMonospaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetOverwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetPixelsAboveLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetPixelsBelowLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetPixelsInsideWrapMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetRightMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetTabsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetTopMarginMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewSetWrapModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewStartsDisplayLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data TextViewWindowToBufferCoordsMethodInfo
#endif
