#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.ToolButton where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ToolButton = ToolButton (ManagedPtr ToolButton)
instance GObject ToolButton where
class (GObject o, O.IsDescendantOf ToolButton o) => IsToolButton o
instance (GObject o, O.IsDescendantOf ToolButton o) => IsToolButton o
instance O.HasParentTypes ToolButton
#if ENABLE_OVERLOADING
data ToolButtonIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonIconWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonLabelWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonStockIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonUseUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonClickedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetIconWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetLabelWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetStockIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonGetUseUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetIconWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetLabelWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetStockIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ToolButtonSetUseUnderlineMethodInfo
#endif
