#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TreeView where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TreeView = TreeView (ManagedPtr TreeView)
instance GObject TreeView where
class (GObject o, O.IsDescendantOf TreeView o) => IsTreeView o
instance (GObject o, O.IsDescendantOf TreeView o) => IsTreeView o
instance O.HasParentTypes TreeView
#if ENABLE_OVERLOADING
data TreeViewActivateOnSingleClickPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewEnableGridLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewEnableSearchPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewEnableTreeLinesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewExpanderColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewFixedHeightModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewHeadersClickablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewHeadersVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewHoverExpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewHoverSelectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewLevelIndentationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewModelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewReorderablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRubberBandingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRulesHintPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSearchColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewShowExpandersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewTooltipColumnPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewCursorChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewExpandCollapseCursorRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewMoveCursorSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRowActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRowCollapsedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRowExpandedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSelectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSelectCursorParentSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSelectCursorRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewStartInteractiveSearchSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewTestCollapseRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewTestExpandRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewToggleCursorRowSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewUnselectAllSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewAppendColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewCollapseAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewCollapseRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnsAutosizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertBinWindowToTreeCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertBinWindowToWidgetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertTreeToBinWindowCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertTreeToWidgetCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertWidgetToBinWindowCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewConvertWidgetToTreeCoordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewCreateRowDragIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewEnableModelDragDestMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewEnableModelDragSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewExpandAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewExpandRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewExpandToPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetBackgroundAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetBinWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetCellAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetColumnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetDestRowAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetDragDestRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetEnableSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetEnableTreeLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetExpanderColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetFixedHeightModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetGridLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetHeadersClickableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetHeadersVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetHoverExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetHoverSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetLevelIndentationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetNColumnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetPathAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetRubberBandingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetRulesHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetSearchColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetSearchEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetShowExpandersMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetTooltipColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetTooltipContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetVisibleRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewGetVisibleRectMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewInsertColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewInsertColumnWithDataFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewIsBlankAtPosMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewIsRubberBandingActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewMapExpandedRowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewMoveColumnAfterMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRemoveColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRowActivatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewRowExpandedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewScrollToCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewScrollToPointMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetActivateOnSingleClickMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetColumnDragFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetCursorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetCursorOnCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetDestroyCountFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetDragDestRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetEnableSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetEnableTreeLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetExpanderColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetFixedHeightModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetGridLinesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetHadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetHeadersClickableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetHeadersVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetHoverExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetHoverSelectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetLevelIndentationMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetRowSeparatorFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetRubberBandingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetRulesHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetSearchColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetSearchEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetSearchEqualFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetSearchPositionFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetShowExpandersMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetTooltipCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetTooltipColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetTooltipRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewSetVadjustmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewUnsetRowsDragDestMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewUnsetRowsDragSourceMethodInfo
#endif
