#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.TreeViewColumn where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TreeViewColumn = TreeViewColumn (ManagedPtr TreeViewColumn)
instance GObject TreeViewColumn where
class (GObject o, O.IsDescendantOf TreeViewColumn o) => IsTreeViewColumn o
instance (GObject o, O.IsDescendantOf TreeViewColumn o) => IsTreeViewColumn o
instance O.HasParentTypes TreeViewColumn
#if ENABLE_OVERLOADING
data TreeViewColumnAlignmentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnCellAreaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnClickablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnExpandPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnFixedWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnMaxWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnMinWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnReorderablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnResizablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSizingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSortColumnIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSortIndicatorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSortOrderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnXOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnClickedSignalInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnAddAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnCellGetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnCellGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnCellIsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnCellSetCellDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnClearAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnClickedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnFocusCellMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetButtonMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetClickableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetFixedWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetMaxWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetMinWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetResizableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetSizingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetSortColumnIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetSortIndicatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetTreeViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnGetXOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnPackEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnPackStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnQueueResizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetAlignmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetCellDataFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetClickableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetExpandMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetFixedWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetMaxWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetMinWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetReorderableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetResizableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetSizingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetSortColumnIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetSortIndicatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetSpacingMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeViewColumnSetWidgetMethodInfo
#endif
