#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Objects.UIManager where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype UIManager = UIManager (ManagedPtr UIManager)
instance GObject UIManager where
class (GObject o, O.IsDescendantOf UIManager o) => IsUIManager o
instance (GObject o, O.IsDescendantOf UIManager o) => IsUIManager o
instance O.HasParentTypes UIManager
#if ENABLE_OVERLOADING
data UIManagerAddTearoffsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerUiPropertyInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerActionsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerAddWidgetSignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerConnectProxySignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerDisconnectProxySignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerPostActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerPreActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerAddUiMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerAddUiFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerAddUiFromResourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerAddUiFromStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerEnsureUpdateMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetAccelGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetActionGroupsMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetAddTearoffsMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetToplevelsMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetUiMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerGetWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerInsertActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerNewMergeIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerRemoveActionGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerRemoveUiMethodInfo
#endif
#if ENABLE_OVERLOADING
data UIManagerSetAddTearoffsMethodInfo
#endif
