#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gtk.Structs.WidgetPath where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WidgetPath = WidgetPath (ManagedPtr WidgetPath)
instance BoxedObject WidgetPath where
#if ENABLE_OVERLOADING
data WidgetPathAppendForWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathAppendTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathAppendWithSiblingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathGetObjectTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathHasParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIsTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterAddClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterAddRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterClearClassesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterClearRegionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetObjectNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetObjectTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetSiblingIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetSiblingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasQclassMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasQnameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasQregionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterHasRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterListClassesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterListRegionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterRemoveClassMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterRemoveRegionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterSetObjectNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterSetObjectTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathIterSetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathPrependTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathToStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data WidgetPathUnrefMethodInfo
#endif
